#### Description:

This function stores a set of FITS header cards in a FitsChan. The cards are supplied concatenated together into a single character string. Any existing cards in the FitsChan are removed before the new cards are added. The FitsChan is `"` re-wound`"` on exit by clearing its Card attribute. This means that a subsequent invocation of astRead can be made immediately without the need to re-wind the FitsChan first.

#### Synopsis

void astPutCards( AstFitsChan ∗this, const char ∗cards )

#### Parameters:

##### this

Pointer to the FitsChan.

##### cards

Pointer to a null-terminated character string containing the FITS cards to be stored. Each individual card should occupy 80 characters in this string, and there should be no delimiters, new lines, etc, between adjacent cards. The final card may be less than 80 characters long. This is the format produced by the fits_hdr2str function in the CFITSIO library.

#### Notes:

- An error will result if the supplied string contains any cards which cannot be interpreted.

Copyright (C) 2021 East Asian Observatory